# Delete grant (/en/docs/api/native/application/deleteGrant)



`DELETE /application/v1/workers/{worker_id}/grants/{grant_id}`

Revoke a grant so this Worker's platform token can no longer access the granted resource. Takes effect for new requests at once.

**Support: supported**

## Parameters [#parameters]

| Name       | Location | Type   | Required | Description         |
| ---------- | -------- | ------ | -------- | ------------------- |
| worker\_id | path     | string | true     | Worker ID (wkr\_…). |
| grant\_id  | path     | string | true     | Grant ID (grt\_…).  |

## Response [#response]

### HTTP 200 [#http-200]

Success

**application/json**

| Name | Type | Description |
| --- | --- | --- |
| deleted | boolean | Always true. |
